/*
This document has been created with Marked.app <http://markedapp.com>, Copyright 2011 Brett Terpstra
Please leave this notice in place, along with any additional credits below.
---------------------------------------------------------------
Title:  ve1
Author:  Erik Sagan (@kartooner)
Description:  A clean theme with bold headlines and carefully crafted typography.
Non-standard fonts used: none
Modified by: Veronika Hubeny
 */
/* --------------------------------------------------------------
Reset
--------------------------------------------------------------*/
html,body,div,span,object,iframe,h1,h2,h3,h4,h5,h6,p,blockquote,pre,a,abbr,acronym,address,code,del,dfn,em,img,q,dl,dt,dd,ol,ul,li,fieldset,form,label,legend,table,caption,tbody,tfoot,thead,tr,th,td {
    margin: 0;
    padding: 0;
    border: 0;
    font-weight: inherit;
    font-style: inherit;
    font-size: 100%;
    font-family: inherit;
    vertical-align: baseline;
}

body {
    line-height: 1;
    margin: 2em 2em 2em 2em;
}

table {
    border-collapse: collapse;
    border-spacing: 0;
}

ol, ul {
  list-style: none;
}

caption,th,td {
    text-align: left;
    font-weight: 400;
}

blockquote, q {
  quotes: none;
}

blockquote:before, blockquote:after,
q:before, q:after {
  content: '';
  content: none;
}

a img {
    border: none;
}

input,textarea {
    margin: 0;
}

/* --------------------------------------------------------------
Typography
--------------------------------------------------------------*/
body {
    -webkit-font-smoothing: antialiased;
    line-height: 1.8;
    font-size: 80%;
    margin: 4em 6em 4em 6em;
    background: #FCF2E5;
}

body,h1,h2,h3,h4,h5,h6,p,ul,ol,dl,td,input,textarea,div {
    color: #222;
    font-family: Avenir, Verdana, Helvetica, Arial, sans-serif;
}

/* --------------------------------------------------------------
Headings
--------------------------------------------------------------*/

h1,h2,h3,h4,h5,h6 {
    font-family: Helvetica Neue, Optima, serif;
    letter-spacing: 0;
}

h1 {
	font-size: 3em;
	line-height: 1;
	margin-top:1em;
	margin-bottom: 1em;
	text-align: center;
	color: #5E0166;
}

h2 {
	font-size: 2.5em;
	margin-bottom: 0.75em;
	text-align: center;
	color: #7F2254;
}

h3 {
	font-size: 1.75em;
	line-height: 1;
	margin-top:2em;
	margin-bottom: 0.8em;
	color: #2A0764;
}

h4 {
	font-size:1.5em;
	line-height: 1.25;
	text-decoration: underline;
	margin-bottom: 1em;
}

h5 {
	font-size: 1.3em;
	margin-bottom: 1.5em; 
	color: #2A5764;
}

h6 {
	font-size: 1em;
}

/* --------------------------------------------------------------
Text elements
--------------------------------------------------------------*/
p {
    margin: 0 0 1.5em;
    font-size: 1.2em;
}

ul,ol {
    color: #444;
    margin: 0em 3em 1.2em 3em;
    font-size: 1.em;
}

ul {
    list-style-type: disc;
}

ul ul {
    list-style-type: circle;
}

ol {
    list-style-type: decimal;
}

li  {
	font-size: 1em;
	margin: 0.5em;
}

.lidense li {
	margin: 0.1em;
}

.lispace li {
	margin: 1em;
}

/*li li {
    font-size: 80%;
}
*/
li p {
    font-size: 1em;
}

li > p:first-child {
    margin: 0;
}

dl {
    margin: 0 0 1.5em 0;
}

dl dt {
    font-weight: bold;
}

dl dd {
    margin-left: 1.5em;
}

abbr,acronym {
    border-bottom: 1px dotted #000;
}

address {
    margin-top: 1.5em;
    font-style: italic;
}

del {
    color: #000;
}

a {
    color: #3861D5;
    text-decoration: none;
 /*   border-bottom: 1px dotted #D33637;*/
    -webkit-transition: color .2s ease-in-out;
    -moz-transition: color .2s ease-in-out;
    -o-transition: color .2s ease-in-out;
    -ms-transition: color .2s ease-in-out;
    transition: color .2s ease-in-out;
}

a:hover {
    text-decoration: none;
    color: #D33637;
    border-bottom-color: #666;
}

a:active {
    outline: 0;
    position: relative;
    top: 1px;
}

blockquote {
    background: #e7e7e7;
    border-top: 1px solid #ccc;
    margin: 1.5em;
    color: #444;
    font-style: italic;
}

blockquote p {
    padding: 1em;
    border-top: 1px solid #fff;
}

strong {
    font-weight: bold;
}

em,dfn {
    font-style: italic;
}

dfn {
    font-weight: bold;
}


pre,code,tt {
    color: #8b8074;
    font-family:  Menlo, Monaco, monospace;
    font-size: 1em;
    font-weight: bold;
    text-align: left;
    margin: 2em 0;
}

tt {
    display: block;
    margin: 1.5em 0;
    line-height: 1.5;
}

span.amp {
    font-family: Baskerville, Palatino, serif;
    font-style: italic;
}

#wrapper {
    padding: 20px;
}

#wrapper img {
    max-width: 100%;
    height: auto;
}

.footnote {
    font-size: .8em;
    vertical-align: super;
}

caption,col,colgroup,table,tbody,td,tfoot,th,thead,tr {
    border-spacing: 0;
}

caption {
    color: #666;
}

figure {
    display: inline-block;
    margin: .5em 0 1.8em;
    position: relative;
}

.poetry pre {
    display: block;
    font-family: Georgia, Garamond, serif !important;
    font-size: 110% !important;
    font-style: italic;
    line-height: 1.6em;
    margin-left: 1em;
}

.poetry pre code {
    font-family: Georgia, Garamond, serif !important;
    word-break: break-all;
	word-break: break-word; /* Non standard for webkit */
	-webkit-hyphens: auto;
	-moz-hyphens: auto;
	hyphens: auto;
    white-space: pre-wrap;
}

.poetry pre {
    display: block;
    font-family: Optima, Geneva, serif;  /*!important;*/
    font-size: 110%; /*!important;*/
    /*font-size: 110%;*/
    /*font-style: italic;*/
    line-height: 1.6em;
    margin-left: 1em;
}

.poetry pre code {
   /* font-family: Georgia, Garamond, serif !important;*/
	 font-family: Optima, Arial, sans-serif;
	 word-break: break-all;
	word-break: break-word; /* Non standard for webkit */
	-webkit-hyphens: auto;
	-moz-hyphens: auto;
	hyphens: auto;
    white-space: pre-wrap;
    color: #668;
}

sup,sub,a.footnote {
    font-size: 1.4ex;
    height: 0;
    line-height: 1;
    position: relative;
    vertical-align: super;
}

sub {
    vertical-align: sub;
    top: -1px;
}

table {
    width: auto;
		align: center;
    margin-bottom: 2em;
    padding: 0;
    font-size: 1.5em;
    border-collapse: collapse;
}

table th,table td {
    padding: 10px 10px 9px;
    line-height: 18px;
    text-align: left;
}

table th {
    padding-top: 9px;
    font-weight: bold;
    vertical-align: middle;
}

table td {
    vertical-align: top;
    border-top: 1px solid #ddd;
}

table tbody th {
    border-top: 1px solid #ddd;
    vertical-align: top;
}

table {
    border: 1px solid #ddd;
    border-collapse: separate;
    *border-collapse: collapse;
 /* IE7, collapse table to remove spacing */
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    border-radius: 4px;
}

table th + th,table td + td,table th + td {
    border-left: 1px solid #ddd;
}

table thead tr:first-child th:first-child,table tbody tr:first-child td:first-child {
    -webkit-border-radius: 4px 0 0 0;
    -moz-border-radius: 4px 0 0 0;
    border-radius: 4px 0 0 0;
}

table thead tr:first-child th:last-child,table tbody tr:first-child td:last-child {
    -webkit-border-radius: 0 4px 0 0;
    -moz-border-radius: 0 4px 0 0;
    border-radius: 0 4px 0 0;
}

table tbody tr:last-child td:first-child {
    -webkit-border-radius: 0 0 0 4px;
    -moz-border-radius: 0 0 0 4px;
    border-radius: 0 0 0 4px;
}

table tbody tr:last-child td:last-child {
    -webkit-border-radius: 0 0 4px 0;
    -moz-border-radius: 0 0 4px 0;
    border-radius: 0 0 4px 0;
}

tbody tr:nth-child(odd) {
    background-color: rgba(0,0,0,0.03);
}

@media print {
    body {
        overflow: auto;
    }

    img,pre,blockquote,table,figure {
        page-break-inside: avoid;
    }

    #wrapper {
        background: #fff;
        color: #303030;
        font-size: 85%;
        padding: 10px;
        position: relative;
        text-indent: 0;
    }
}

@media screen {
    ::selection {
        background: rgba(157, 193, 200,.5);
    }

    h1::selection {
        background-color: rgba(45, 156, 208, .3);
    }

    h2::selection {
        background-color: rgba(90, 182, 224, .3);
    }

    h3::selection,h4::selection,h5::selection,h6::selection,li::selection,ol::selection {
        background-color: rgba(133, 201, 232, .3);
    }

    code::selection {
        background-color: rgba(0,0,0,.7);
        color: #eee;
    }

    code span::selection {
        background-color: rgba(0,0,0,.7) !important;
        color: #eee !important;
    }

    a::selection {
        background-color: rgba(255, 230, 102,.2);
    }

    .inverted a::selection {
        background-color: rgba(255, 230, 102,.6);
    }

    td::selection,th::selection,caption::selection {
        background-color: rgba(180, 237, 95, .5);
    }

    .inverted {
        background: #0b2531;
    }

    .inverted p,.inverted td,.inverted li,.inverted h1,.inverted h2,.inverted h3,.inverted h4,.inverted h5,.inverted h6,.inverted pre,.inverted code,.inverted th,.inverted .math,.inverted dd,.inverted dt {
        color: #eee !important;
    }

    .inverted a {
        border-bottom: none;
        color: #fff;
        text-decoration: underline;
    }

    #wrapper {
        padding: 20px;
    }

    .inverted #wrapper {
        background: #0b2531;
    }

    .inverted blockquote {
        background: rgba(255,255,255,0.1);
        border-top-color: rgba(255,255,255,0.1);
    }

    .inverted blockquote p {
        border-top-color: rgba(255,255,255,0.3);
    }

    .inverted caption,.inverted .footnote,.inverted figcaption {
        color: rgba(255,255,255,0.5);
    }

    .inverted table {
        border-color: rgba(255,255,255,0.3);
    }

    .inverted table th + th,table td + td,table th + td {
        border-left: 1px solid rgba(255,255,255,0.3);
    }

    .inverted tbody tr:nth-child(odd) {
        background-color: rgba(255,255,255,0.1);
    }

    .inverted table td {
        vertical-align: top;
        border-top: none;
    }
}
